Subject: RE: FW: Partial Property Data Retrieval???

From: "Frank Judge" <[email-masked]>
Date: Fri, 5 Sep 2003 11:53:50 -0700

Chris,

Thanks for the heads up.  The only problems I see with this are:

- its optional to support byte ranges in HTTP 1.1
- if I'm understanding this right, because this is at the HTTP level, the entity body will basically be truncated.  This would mean only a partial XML document would be downloaded, and other properties coming after the lengthy data may be missing, as well as the terminating XML tags.  Would this be your understanding also, or would you expect the WebDAV server implementation to respect the RANGE header, and only return the number of bytes for the large PROPERTY instead of the entire HTTP entity body?
- I can't find a server that supports the "Range: bytes=" header.  At least Microsoft's IIS server for Exchange 2003 does not.

Any idea if this has come up for discussion in the WebDAV specs prior, or if it could be proposed?  Basically something like specifying a byte RANGE when asking for a specific property would do the trick.  I'll look at the XPATH reference you previously forwarded.

Thanks for you help,

Frank

-----Original Message-----
From: Chris Knight [mailto:[email-masked]]
Sent: Friday, September 05, 2003 2:29 PM
To: Frank Judge (Corp)
Cc: WebDAV
Subject: Re: FW: Partial Property Data Retrieval???

Jim Whitehead wrote:

>For example, if you have a document object
>that has only a text property containing all the document data, you may
>only want the first 100K of a 10 megabyte document.
>
In retrospect, this is a different question...HTTP/1.1 currently 
supports the "Range" header for GET requests that would satisfy your 
requirement to download parts of document data.

See *ftp://ftp.isi.edu/in-notes/rfc2616.txt*